<template>
<div>
<!-- menu -->
<nav class="main-menu" >
	<div class="scrollbar" id="style-1">
		<h1 style="text-align:center">Admin</h1>
		<ul>
    		<li>
				<a href="#" v-on:click="cambiarContenedor('principal')">
					<i class="fa fa-home fa-lg"></i>
					<span class="nav-text"> Bienvenido {{ user }} </span>
				</a>
			</li>

			<li>
				<a href="#categorias" v-on:click="cambiarContenedor('categorias')">
					<i class="fa fa-envelope-o fa-lg"></i>
					<span class="nav-text"> Categorias  </span>
				</a>
			</li>

			<li>
				<a href="#productos" v-on:click="cambiarContenedor('productosadmin')">
					<i class="fa fa-product-hunt" ></i>
					<span class="nav-text"> Productos Tienda </span>
				</a>
			</li>

			<li>
				<a href="#proveedores" v-on:click="cambiarContenedor('proveedores')">
					<i class="fa fa-product-hunt" ></i>
					<span class="nav-text"> Proveedores </span>
				</a>
			</li>

			<li>
				<a href="#compraproveedor" v-on:click="cambiarContenedor('compraproveedor')">
					<i class="fa fa-product-hunt" ></i>
					<span class="nav-text"> Compras a Proveedor </span>
				</a>
			</li>

			<li>
				<a href="#clientes" v-on:click="cambiarContenedor('clientes')">
					<i class="fa fa-product-hunt" ></i>
					<span class="nav-text"> Clientes </span>
				</a>
			</li>
			<li>
				<a href="#detalleventa" v-on:click="cambiarContenedor('detalleventas')">
					<i class="fa fa-product-hunt" ></i>
					<span class="nav-text"> Detalle Ventas </span>
				</a>
			</li>


			<li>
	<a href="#" @click="cerrarSesion">
					<i class="fa fa-product-hunt" ></i>
					<span class="nav-text"> cerrar sesion  </span>
				</a>
			</li>

</ul>
	</div>

</nav>

<form ref="form" action="/logout" method="post">
	<input type="hidden" name="_token" :value="csrf">
</form>

<!-- end menu -->

<!-- contenedor -->
<contenedor v-bind:user="user" v-show="isShow('principal')"></contenedor>
<admin-categoria v-bind:categorias="categorias" v-show="isShow('categorias')"></admin-categoria>

<admin-proveedor v-bind:proveedores="proveedores" v-show="isShow('proveedores')"></admin-proveedor>

<admin-producto v-bind:categorias="categorias" v-bind:marcas="marcas" v-bind:productos="productos" v-show="isShow('productosadmin')"></admin-producto>

<admin-clientes v-show="isShow('clientes')"></admin-clientes>
<admin-compraprov v-bind:detalles="detalles" v-bind:proveedores="proveedores" v-bind:productos="productos" v-bind:categorias="categorias" v-show="isShow('compraproveedor')"></admin-compraprov>
<admin-detalleventas v-bind:detalleventas="detalleventas" v-show="isShow('detalleventas')"></admin-detalleventas>
<!-- end contenedor-->

</div>
</template>

<script>
    export default {
    	props: ['user'],
		data() {
			return {
				csrf: document.head.querySelector('meta[name="csrf-token"]').getAttribute('content'),
				actual: 'principal',
					categorias:[],
					marcas:[],
					productos:[],
					proveedores:[],
					detalles:[],
					detalleventas:[],
			}

		},
		methods: {
			isShow(nombreContenedor) { /* verifica si se muestra contenido (cualquiera) */
				return this.actual == nombreContenedor;
			},
			cambiarContenedor(contenedor) { /* cambia el contenedor para mostrar*/
				this.actual = contenedor;
			},
			cerrarSesion() {
				this.$refs.form.submit()
			}
		}
    }

</script>


